<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<VBox alignment="TOP_CENTER" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="270.0" prefWidth="300.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="rentalSystem.RegClientController">
   <children>
      <Label text="Register new client">
         <font>
            <Font name="Verdana Bold" size="18.0" />
         </font>
      </Label>
      <GridPane>
        <columnConstraints>
            <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
          <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
        </columnConstraints>
        <rowConstraints>
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Label text="First name:" />
            <Label text="Last name:" GridPane.rowIndex="1" />
            <Label text="PID:" GridPane.rowIndex="2" />
            <Label text="Address:" GridPane.rowIndex="3" />
            <Label text="Phone number:" GridPane.rowIndex="4" />
            <Label text="IBAN:" GridPane.rowIndex="5" />
            <TextField fx:id="fName" GridPane.columnIndex="1" />
            <TextField fx:id="lName" GridPane.columnIndex="1" GridPane.rowIndex="1" />
            <TextField fx:id="pid" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            <TextField fx:id="address" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            <TextField fx:id="phoneNo" GridPane.columnIndex="1" GridPane.rowIndex="4" />
            <TextField fx:id="iban" GridPane.columnIndex="1" GridPane.rowIndex="5" />
         </children>
         <padding>
            <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
         </padding>
      </GridPane>
      <Button mnemonicParsing="false" onAction="#submitClick" text="Submit" />
   </children>
   <padding>
      <Insets bottom="10.0" top="10.0" />
   </padding>
</VBox>
